Summary: A next-generation printing system for UNIX
Name: LPRng
Version: 3.5.3
Release: 1
Copyright: GPL
Group: Utilities/System
Source0: ftp://ftp.astart.com/pub/LPRng/LPRng/%{name}-%{version}.tgz
Source1: ftp://ftp.astart.com/pub/LPRng/LPRng/%{name}_DOC-%{version}.tgz
Source2: lpd.init
BuildRoot: /tmp/LPRng-root
Requires: chkconfig
Provides: lpr

%description
LPRng is the "next generation" printing system for UNIX, featuring
enhanced reliability and security.

%changelog

* Sat Dec 19 1998 Kjetil Wiekhorst Jrgensen <jorgens+rpm@pvv.org>

- upgraded to version 3.5.3

* Thu Jan 29 1998 Jan "Yenya" Kasprzak <kas@fi.muni.cz

- Upgraded to 3.4.2
- Merged LPRng and LPRng-lpd packages - if you don't need lpd, chkconfig it off.
- Changed /etc/rc.d/init.d/lpd script to be chkconfig-compatible for RH5.0

* Thu Jun 5 1997 Timo Karjalainen <timok@iki.fi>

- Upgraded to version 3.2.6

* Sat May 31 1997 Timo Karjalainen <timok@iki.fi>

- Upgraded to version 3.2.5
- Some minor changes to specfile

%prep
%setup
# %setup -a1 

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr # --with-lpddir=/usr/sbin --with-admindir=/usr/sbin

make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
make prefix=$RPM_BUILD_ROOT/usr INSTALL_LIB=$RPM_BUILD_ROOT/usr/sbin \
	INSTALL_MAINT=$RPM_BUILD_ROOT/usr/sbin/ install
install -m 755 -o 0 -g 0 $RPM_SOURCE_DIR/lpd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/lpd
install -m 644 -o 0 -g 0 lpd.conf lpd.perms $RPM_BUILD_ROOT/etc
# /etc/printcap is in the setup package
# touch $RPM_BUILD_ROOT/etc/printcap

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if test -r /etc/rc.d/init.d/lpd
then /etc/rc.d/init.d/lpd stop
fi
if test -r /etc/rc.d/init.d/lpd.init
then /etc/rc.d/init.d/lpd.init stop
fi

%post
test "$1" = 1 && /sbin/chkconfig lpd on

%preun
if test "$1" = 0
then
	/etc/rc.d/init.d/lpd stop
	/sbin/chkconfig lpd off
fi

%files
# /etc/printcap is in the setup package
# %config /etc/printcap
%config /etc/lpd.conf
%config /etc/lpd.perms
%doc ABOUT-NLS.LPRng ANNOUNCE Artistic.license CHANGES CONTRIBUTORS COPYING
%doc Commercial.license HOWTO INFORMATION INSTALL LICENSE README* TESTSUPPORT
/etc/rc.d/init.d/lpd
/usr/bin/*
/usr/sbin/*
/usr/man/man5/*
/usr/man/man1/*
/usr/man/man8/*
